Package org.firebirdsql.jna.fbclient

## Class XSQLVAR

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.XSQLVAR

- Direct Known Subclasses:
    `XSQLVAR.ByReference`, `XSQLVAR.ByValue`

      @FieldOrder({"sqltype","sqlscale","sqlsubtype","sqllen","sqldata","sqlind","sqlname_length","sqlname","relname_length","relname","ownname_length","ownname","aliasname_length","aliasname"})
      public class XSQLVAR
      extends com.sun.jna.Structure

  JNA wrapper for XSQLVAR.

  This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

  This file was modified manually, do not automatically regenerate!

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `XSQLVAR.ByReference` |
    `static class` | `XSQLVAR.ByValue` |

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `aliasname` |
    `short` | `aliasname_length` |
    `byte[]` | `ownname` |
    `short` | `ownname_length` |
    `byte[]` | `relname` |
    `short` | `relname_length` |
    `com.sun.jna.Pointer` | `sqldata` |
    `com.sun.jna.ptr.ShortByReference` | `sqlind` |
    `static short` | `SQLIND_NOT_NULL` |
    `static short` | `SQLIND_NULL` |
    `short` | `sqllen` |
    `byte[]` | `sqlname` |
    `short` | `sqlname_length` |
    `short` | `sqlscale` |
    `short` | `sqlsubtype` |
    `short` | `sqltype` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XSQLVAR()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.sun.jna.Memory` | `getSqlData()` |

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SQLIND_NULL

          public static final short SQLIND_NULL

      See Also:
        Constant Field Values

    - #### SQLIND_NOT_NULL

          public static final short SQLIND_NOT_NULL

      See Also:
        Constant Field Values

    - #### sqltype

          public short sqltype

    - #### sqlscale

          public short sqlscale

    - #### sqlsubtype

          public short sqlsubtype

    - #### sqllen

          public short sqllen

    - #### sqldata

          public com.sun.jna.Pointer sqldata

    - #### sqlind

          public com.sun.jna.ptr.ShortByReference sqlind

    - #### sqlname_length

          public short sqlname_length

    - #### sqlname

          public byte[] sqlname

    - #### relname_length

          public short relname_length

    - #### relname

          public byte[] relname

    - #### ownname_length

          public short ownname_length

    - #### ownname

          public byte[] ownname

    - #### aliasname_length

          public short aliasname_length

    - #### aliasname

          public byte[] aliasname

  - ### Constructor Detail

    - #### XSQLVAR

          public XSQLVAR()

  - ### Method Detail

    - #### getSqlData

          public com.sun.jna.Memory getSqlData()